QGIS 2.18.16/3.0 Renders Multipolygon Shapefile Incorrectly

2018-03-05 04:22 PM - Ralph Tee

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26233

Description

QGIS 2.18.16 and 3.0 incorrectly renders a multipolygon loaded from SHP. Please see screen shot below. The arrows point to locations

which should be holes. A copy of the data is attached - one in SHP and one in SQLite (DB).

https://i.stack.imgur.com/Zs75x.png

The exact same multipolygon, when QGIS loaded it from SQLite (DB), was rendered correctly. Please see screen shot below.

https://i.stack.imgur.com/iQ3bh.jpg

If ArcMap 10.2 loads the SHP, the result was as in the screen shot below.

https://i.stack.imgur.com/NrNy4.jpg

History

#1 - 2018-03-06 12:13 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.18.16 to 3.0.0

I also see that. How the vector was obtained in the first place, I guess is a vectorization of a raster, correct? what tool was used? how the vector was

saved?

#2 - 2018-03-06 05:55 PM - Ralph Tee

The original question came from

https://gis.stackexchange.com/questions/257974/postgis-multipolygon-when-converted-to-shapefile-doesnt-match-the-source-geomet/273499#273499

#3 - 2018-03-08 12:27 AM - Giovanni Manghi

- Subject changed from QGIS 2.18.16/3.0 Renders SHP Multipolygon Incorrectly to QGIS 2.18.16/3.0 Renders Multipolygon Shapefile Incorrectly

- Status changed from Feedback to Open

#4 - 2019-01-21 10:32 AM - salvatore fiandaca

confirmed in 3.4.4
https://gis.stackexchange.com/questions/257974/postgis-multipolygon-when-converted-to-shapefile-doesnt-match-the-source-geomet/273499#273499


#5 - 2019-01-21 10:56 AM - salvatore fiandaca

- Affected QGIS version changed from 3.0.0 to 3.4.4

Files

sample.zip 391 KB 2018-03-05 Ralph Tee

Problem.png 106 KB 2018-03-05 Ralph Tee
